急!!feisty下用GF4MX440或者MX4000,安装9631驱动成功的仁兄请进!!

声卡/显卡/打印机/USB设备等硬件问题(网卡问题请发上面的网卡板块)
回复
TC_storm
帖子: 26
注册时间: 2007-02-23 23:31
来自: SYSU-Zhuhai
送出感谢: 0
接收感谢: 0

急!!feisty下用GF4MX440或者MX4000,安装9631驱动成功的仁兄请进!!

#1

帖子 TC_storm » 2007-05-13 15:42

我用的是一块GF4 MX4000,到源上装nvidia的闭源驱动时出了问题。
安装了nvidia-glx(同时自动根据软件依赖关系安装nvidia-kernel-common,nvidia-kernel-source等包)之后启动X失败
X的启动记录中提示因nvidia-kernel-common版本号与nvidia-glx不符,导致启动失败。 但是我之前已经多次更新软件包列表,软件源也全是feisty的源
于是删掉nvidia-kernel-common,nvidia-kernel-source,linux-restricted-modules等包,从NVIDIA官方网站下载.run后缀的官方驱动包安装。安装执行过程顺利,但是装完后同样进不了X,提示加载nvidia核心模块失败。进入/lib/modules/2.6.20-15-generic/kernel/drivers/video/nvidia目录,发现不存在nvidia.ko (事实上我在那里啥东西都没看见

我想遇到这个问题的人应该不少,可是为什么不见有哪位在坛子上问,难道只有我这台机子出现了这种情况??

万分不解中,惟望各路大虾相助
头像
wyvern2004
帖子: 70
注册时间: 2005-07-12 20:30
来自: 贵州
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 wyvern2004 » 2007-05-13 15:49

我的显卡是GF2 MX 400的,装上nvidia-glx没问题,是不是你的显卡太高级了,0.9631的不支持你的显卡。

你可以看看这里。
viewtopic.php?t=47981
Xubuntu 7.04 Feisty
NVIDIA GeForce 2 MX/MX 400
Pentium(R) 4 CPU 2.60GHz 1.0G Mem
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
我的博客,欢迎光临!
http://blog.sina.com.cn/dat
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
头像
karron
帖子: 6226
注册时间: 2005-06-11 14:03
来自: 不明真相的群众
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 karron » 2007-05-13 15:53

能不能把你的源贴出来看看?
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.
头像
ttand
帖子: 1743
注册时间: 2005-08-22 14:05
来自: 离开北京
送出感谢: 1 次
接收感谢: 3 次

#4

帖子 ttand » 2007-05-13 16:28

GF4 mx440 9631 一切正常
安装 nvidia-glx 正常了一段时间 后来正式版升级内核 就不行了
从新nvidia-glx-enable 也没用
估计nvidia-glx编译时候不在新内核下 有兼容问题
卸载源中驱动

之后装 官方run包 xorg-dev 编译 正常到现在
而且有 配置工具 可以开全屏抗锯齿 游戏效果更好了
错过好多好贴,没占到广告位后悔啊
l_eno
帖子: 3
注册时间: 2007-05-13 18:39
送出感谢: 0
接收感谢: 0

#5

帖子 l_eno » 2007-05-13 19:05

我也是这种情况
好郁闷啊
装完后同样进不了X,提示加载nvidia核心模块失败。进入/lib/modules/2.6.20-15-generic/kernel/drivers/video/nvidia目录,发现不存在nvidia.ko (事实上我在那里啥东西都没看见
怎么装个驱动这么麻烦
请高手指教!!
头像
zhan
帖子: 1880
注册时间: 2005-08-15 0:04
来自: 南7技校
送出感谢: 0
接收感谢: 0
联系:

#6

帖子 zhan » 2007-05-13 19:25

不关源的事情,各位先把 linux-restricted-modulesXXX 卸载干净, 然后再安装 nvidia-glx 此时很奇怪的会安装一个 386 的内核和 restricted 的 modules, 然后在此基础上再安装 generic 的 restricted-modules 等一些东西,最后将 386 的卸载.

基本上是这么一个过程,我的最初也是这样的,摸了几次整好了,如果有问题的不妨试试..
飞得高,飞得低,学习再学习,多少大秘密!
http://zhan.blog.ubuntu.org.cn
TC_storm
帖子: 26
注册时间: 2007-02-23 23:31
来自: SYSU-Zhuhai
送出感谢: 0
接收感谢: 0

#7

帖子 TC_storm » 2007-05-13 22:54

ttand 写了: 之后装 官方run包 xorg-dev 编译 正常到现在
而且有 配置工具 可以开全屏抗锯齿 游戏效果更好了
但是怎样编译呢??用xorg-dev怎样编译??编译东西方面我不太懂
是先装源里的包再编译,还是先把官方的.run包编译再装??
还是先装官方的包,再拿xorg-dev来弄???搞不清,晕……
TC_storm
帖子: 26
注册时间: 2007-02-23 23:31
来自: SYSU-Zhuhai
送出感谢: 0
接收感谢: 0

#8

帖子 TC_storm » 2007-05-13 23:10

下面是我用的源:

代码: 全选

deb http://cn.archive.ubuntu.com/ubuntu/ feisty-security main restricted multiverse universe
deb-src http://cn.archive.ubuntu.com/ubuntu/ feisty-security main restricted multiverse universe #Added by software-properties

deb http://ubuntu.csie.ntu.edu.tw/ubuntu/ feisty main restricted universe multiverse 
deb http://ubuntu.csie.ntu.edu.tw/ubuntu/ feisty-updates main restricted universe multiverse 
deb http://ubuntu.csie.ntu.edu.tw/ubuntu/ feisty-backports main restricted universe multiverse 
deb http://ubuntu.csie.ntu.edu.tw/ubuntu/ feisty-security main restricted universe multiverse 
deb http://ubuntu.csie.ntu.edu.tw/ubuntu/ feisty-proposed main multiverse restricted universe 
deb-src http://ubuntu.csie.ntu.edu.tw/ubuntu/ feisty main restricted universe multiverse 
deb-src http://ubuntu.csie.ntu.edu.tw/ubuntu/ feisty-updates main restricted universe multiverse 
deb-src http://ubuntu.csie.ntu.edu.tw/ubuntu/ feisty-backports main restricted universe multiverse 
deb-src http://ubuntu.csie.ntu.edu.tw/ubuntu/ feisty-security main restricted universe multiverse 
deb-src http://ubuntu.csie.ntu.edu.tw/ubuntu/ feisty-proposed main restricted universe multiverse 

deb http://cn.archive.ubuntu.com/ubuntu/ feisty-backports main restricted universe multiverse 
deb-src http://cn.archive.ubuntu.com/ubuntu/ feisty-backports main restricted universe multiverse  #Added by software-properties
deb http://cn.archive.ubuntu.com/ubuntu/ feisty-proposed main restricted universe multiverse 
deb-src http://cn.archive.ubuntu.com/ubuntu/ feisty-proposed main restricted universe multiverse  #Added by software-properties

deb http://ubuntu.beryl-project.org feisty main

deb http://ubuntu.cn99.com/ubuntu/ feisty main restricted universe multiverse 
deb http://ubuntu.cn99.com/ubuntu/ feisty-security main restricted universe multiverse 
deb http://ubuntu.cn99.com/ubuntu/ feisty-updates main restricted universe multiverse 
deb http://ubuntu.cn99.com/ubuntu/ feisty-proposed main restricted universe multiverse 
deb http://ubuntu.cn99.com/ubuntu/ feisty-backports main restricted universe multiverse 
deb-src http://ubuntu.cn99.com/ubuntu/ feisty main restricted universe multiverse 
deb-src http://ubuntu.cn99.com/ubuntu/ feisty-security main restricted universe multiverse 
deb-src http://ubuntu.cn99.com/ubuntu/ feisty-updates main restricted universe multiverse 
deb-src http://ubuntu.cn99.com/ubuntu/ feisty-proposed main restricted universe multiverse 
deb-src http://ubuntu.cn99.com/ubuntu/ feisty-backports main restricted universe multiverse 
头像
ttand
帖子: 1743
注册时间: 2005-08-22 14:05
来自: 离开北京
送出感谢: 1 次
接收感谢: 3 次

#9

帖子 ttand » 2007-05-14 0:14

我担心你们没有 安装 必要的 编译环境
例如
开发包 xorg-dev
编译是自动的 那个sh脚本里 会自动调用gcc 编译模块
错过好多好贴,没占到广告位后悔啊
TC_storm
帖子: 26
注册时间: 2007-02-23 23:31
来自: SYSU-Zhuhai
送出感谢: 0
接收感谢: 0

#10

帖子 TC_storm » 2007-05-14 12:47

如果xorg-dev没装的话,它会提示编译不能进行的。
sh脚本中包含的自动编译会不会出问题?比如编出来的模块不适合当前内核?
头像
ttand
帖子: 1743
注册时间: 2005-08-22 14:05
来自: 离开北京
送出感谢: 1 次
接收感谢: 3 次

#11

帖子 ttand » 2007-05-14 19:07

有点可能吧 尽量卸载 其他版本的内核

还有 注意 libc库 于内核的匹配 跟新一下

& 重新下载 你的run 包
错过好多好贴,没占到广告位后悔啊
TC_storm
帖子: 26
注册时间: 2007-02-23 23:31
来自: SYSU-Zhuhai
送出感谢: 0
接收感谢: 0

#12

帖子 TC_storm » 2007-05-15 11:36

就是还是用.run包来装??
那上面6楼所说的办法呢??
回复

回到 “常用硬件支持”